# Aranyasen\HL7\Segments\PID  

PID segment class



## Extend:

Aranyasen\HL7\Segment

## Methods

| Name | Description |
|------|-------------|
|[getAlternatePatientID](#pidgetalternatepatientid)||
|[getBirthOrder](#pidgetbirthorder)||
|[getBirthPlace](#pidgetbirthplace)||
|[getCitizenship](#pidgetcitizenship)||
|[getCountryCode](#pidgetcountrycode)||
|[getDateTimeOfBirth](#pidgetdatetimeofbirth)||
|[getDriversLicenseNumber](#pidgetdriverslicensenumber)||
|[getEthnicGroup](#pidgetethnicgroup)||
|[getID](#pidgetid)||
|[getMaritalStatus](#pidgetmaritalstatus)||
|[getMothersIdentifier](#pidgetmothersidentifier)||
|[getMothersMaidenName](#pidgetmothersmaidenname)||
|[getMultipleBirthIndicator](#pidgetmultiplebirthindicator)||
|[getNationality](#pidgetnationality)||
|[getPatientAccountNumber](#pidgetpatientaccountnumber)||
|[getPatientAddress](#pidgetpatientaddress)||
|[getPatientAlias](#pidgetpatientalias)||
|[getPatientDeathDateAndTime](#pidgetpatientdeathdateandtime)||
|[getPatientDeathIndicator](#pidgetpatientdeathindicator)||
|[getPatientID](#pidgetpatientid)||
|[getPatientIdentifierList](#pidgetpatientidentifierlist)|Patient ID (Internal ID)|
|[getPatientName](#pidgetpatientname)||
|[getPhoneNumberBusiness](#pidgetphonenumberbusiness)||
|[getPhoneNumberHome](#pidgetphonenumberhome)||
|[getPrimaryLanguage](#pidgetprimarylanguage)||
|[getRace](#pidgetrace)||
|[getReligion](#pidgetreligion)||
|[getSSNNumber](#pidgetssnnumber)||
|[getSex](#pidgetsex)||
|[getVeteransMilitaryStatus](#pidgetveteransmilitarystatus)||
|[setAlternatePatientID](#pidsetalternatepatientid)||
|[setBirthOrder](#pidsetbirthorder)||
|[setBirthPlace](#pidsetbirthplace)||
|[setCitizenship](#pidsetcitizenship)||
|[setCountryCode](#pidsetcountrycode)||
|[setDateTimeOfBirth](#pidsetdatetimeofbirth)||
|[setDriversLicenseNumber](#pidsetdriverslicensenumber)||
|[setEthnicGroup](#pidsetethnicgroup)||
|[setID](#pidsetid)||
|[setMaritalStatus](#pidsetmaritalstatus)||
|[setMothersIdentifier](#pidsetmothersidentifier)||
|[setMothersMaidenName](#pidsetmothersmaidenname)||
|[setMultipleBirthIndicator](#pidsetmultiplebirthindicator)||
|[setNationality](#pidsetnationality)||
|[setPatientAccountNumber](#pidsetpatientaccountnumber)||
|[setPatientAddress](#pidsetpatientaddress)||
|[setPatientAlias](#pidsetpatientalias)||
|[setPatientDeathDateAndTime](#pidsetpatientdeathdateandtime)||
|[setPatientDeathIndicator](#pidsetpatientdeathindicator)||
|[setPatientID](#pidsetpatientid)||
|[setPatientIdentifierList](#pidsetpatientidentifierlist)|Patient ID (Internal ID)|
|[setPatientName](#pidsetpatientname)||
|[setPhoneNumberBusiness](#pidsetphonenumberbusiness)||
|[setPhoneNumberHome](#pidsetphonenumberhome)||
|[setPrimaryLanguage](#pidsetprimarylanguage)||
|[setRace](#pidsetrace)||
|[setReligion](#pidsetreligion)||
|[setSSNNumber](#pidsetssnnumber)||
|[setSex](#pidsetsex)||
|[setVeteransMilitaryStatus](#pidsetveteransmilitarystatus)||

## Inherited methods

| Name | Description |
|------|-------------|
|__construct|Create a segment.|
|getField|Get the field at index.|
|getFields|Get fields from a segment|
|getName|Get the name of the segment. This is basically the value at index 0|
|setField|Set the field specified by index to value.|
|size|Get the number of fields for this segment, not including the name|



### PID::getAlternatePatientID  

**Description**

```php
public getAlternatePatientID (void)
```

 

 

**Parameters**

`This function has no parameters.`

**Return Values**

`void`

<hr />


### PID::getBirthOrder  

**Description**

```php
public getBirthOrder (void)
```

 

 

**Parameters**

`This function has no parameters.`

**Return Values**

`void`

<hr />


### PID::getBirthPlace  

**Description**

```php
public getBirthPlace (void)
```

 

 

**Parameters**

`This function has no parameters.`

**Return Values**

`void`

<hr />


### PID::getCitizenship  

**Description**

```php
public getCitizenship (void)
```

 

 

**Parameters**

`This function has no parameters.`

**Return Values**

`void`

<hr />


### PID::getCountryCode  

**Description**

```php
public getCountryCode (void)
```

 

 

**Parameters**

`This function has no parameters.`

**Return Values**

`void`

<hr />


### PID::getDateTimeOfBirth  

**Description**

```php
public getDateTimeOfBirth (void)
```

 

 

**Parameters**

`This function has no parameters.`

**Return Values**

`void`

<hr />


### PID::getDriversLicenseNumber  

**Description**

```php
public getDriversLicenseNumber (void)
```

 

 

**Parameters**

`This function has no parameters.`

**Return Values**

`void`

<hr />


### PID::getEthnicGroup  

**Description**

```php
public getEthnicGroup (void)
```

 

 

**Parameters**

`This function has no parameters.`

**Return Values**

`void`

<hr />


### PID::getID  

**Description**

```php
public getID (void)
```

 

 

**Parameters**

`This function has no parameters.`

**Return Values**

`void`

<hr />


### PID::getMaritalStatus  

**Description**

```php
public getMaritalStatus (void)
```

 

 

**Parameters**

`This function has no parameters.`

**Return Values**

`void`

<hr />


### PID::getMothersIdentifier  

**Description**

```php
public getMothersIdentifier (void)
```

 

 

**Parameters**

`This function has no parameters.`

**Return Values**

`void`

<hr />


### PID::getMothersMaidenName  

**Description**

```php
public getMothersMaidenName (void)
```

 

 

**Parameters**

`This function has no parameters.`

**Return Values**

`void`

<hr />


### PID::getMultipleBirthIndicator  

**Description**

```php
public getMultipleBirthIndicator (void)
```

 

 

**Parameters**

`This function has no parameters.`

**Return Values**

`void`

<hr />


### PID::getNationality  

**Description**

```php
public getNationality (void)
```

 

 

**Parameters**

`This function has no parameters.`

**Return Values**

`void`

<hr />


### PID::getPatientAccountNumber  

**Description**

```php
public getPatientAccountNumber (void)
```

 

 

**Parameters**

`This function has no parameters.`

**Return Values**

`void`

<hr />


### PID::getPatientAddress  

**Description**

```php
public getPatientAddress (void)
```

 

 

**Parameters**

`This function has no parameters.`

**Return Values**

`void`

<hr />


### PID::getPatientAlias  

**Description**

```php
public getPatientAlias (void)
```

 

 

**Parameters**

`This function has no parameters.`

**Return Values**

`void`

<hr />


### PID::getPatientDeathDateAndTime  

**Description**

```php
public getPatientDeathDateAndTime (void)
```

 

 

**Parameters**

`This function has no parameters.`

**Return Values**

`void`

<hr />


### PID::getPatientDeathIndicator  

**Description**

```php
public getPatientDeathIndicator (void)
```

 

 

**Parameters**

`This function has no parameters.`

**Return Values**

`void`

<hr />


### PID::getPatientID  

**Description**

```php
public getPatientID (void)
```

 

 

**Parameters**

`This function has no parameters.`

**Return Values**

`void`

<hr />


### PID::getPatientIdentifierList  

**Description**

```php
public getPatientIdentifierList (int $position)
```

Patient ID (Internal ID) 

 

**Parameters**

* `(int) $position`

**Return Values**

`array|null|string`



<hr />


### PID::getPatientName  

**Description**

```php
public getPatientName (void)
```

 

 

**Parameters**

`This function has no parameters.`

**Return Values**

`void`

<hr />


### PID::getPhoneNumberBusiness  

**Description**

```php
public getPhoneNumberBusiness (void)
```

 

 

**Parameters**

`This function has no parameters.`

**Return Values**

`void`

<hr />


### PID::getPhoneNumberHome  

**Description**

```php
public getPhoneNumberHome (void)
```

 

 

**Parameters**

`This function has no parameters.`

**Return Values**

`void`

<hr />


### PID::getPrimaryLanguage  

**Description**

```php
public getPrimaryLanguage (void)
```

 

 

**Parameters**

`This function has no parameters.`

**Return Values**

`void`

<hr />


### PID::getRace  

**Description**

```php
public getRace (void)
```

 

 

**Parameters**

`This function has no parameters.`

**Return Values**

`void`

<hr />


### PID::getReligion  

**Description**

```php
public getReligion (void)
```

 

 

**Parameters**

`This function has no parameters.`

**Return Values**

`void`

<hr />


### PID::getSSNNumber  

**Description**

```php
public getSSNNumber (void)
```

 

 

**Parameters**

`This function has no parameters.`

**Return Values**

`void`

<hr />


### PID::getSex  

**Description**

```php
public getSex (void)
```

 

 

**Parameters**

`This function has no parameters.`

**Return Values**

`void`

<hr />


### PID::getVeteransMilitaryStatus  

**Description**

```php
public getVeteransMilitaryStatus (void)
```

 

 

**Parameters**

`This function has no parameters.`

**Return Values**

`void`

<hr />


### PID::setAlternatePatientID  

**Description**

```php
public setAlternatePatientID (void)
```

 

 

**Parameters**

`This function has no parameters.`

**Return Values**

`void`

<hr />


### PID::setBirthOrder  

**Description**

```php
public setBirthOrder (void)
```

 

 

**Parameters**

`This function has no parameters.`

**Return Values**

`void`

<hr />


### PID::setBirthPlace  

**Description**

```php
public setBirthPlace (void)
```

 

 

**Parameters**

`This function has no parameters.`

**Return Values**

`void`

<hr />


### PID::setCitizenship  

**Description**

```php
public setCitizenship (void)
```

 

 

**Parameters**

`This function has no parameters.`

**Return Values**

`void`

<hr />


### PID::setCountryCode  

**Description**

```php
public setCountryCode (void)
```

 

 

**Parameters**

`This function has no parameters.`

**Return Values**

`void`

<hr />


### PID::setDateTimeOfBirth  

**Description**

```php
public setDateTimeOfBirth (void)
```

 

 

**Parameters**

`This function has no parameters.`

**Return Values**

`void`

<hr />


### PID::setDriversLicenseNumber  

**Description**

```php
public setDriversLicenseNumber (void)
```

 

 

**Parameters**

`This function has no parameters.`

**Return Values**

`void`

<hr />


### PID::setEthnicGroup  

**Description**

```php
public setEthnicGroup (void)
```

 

 

**Parameters**

`This function has no parameters.`

**Return Values**

`void`

<hr />


### PID::setID  

**Description**

```php
public setID (void)
```

 

 

**Parameters**

`This function has no parameters.`

**Return Values**

`void`

<hr />


### PID::setMaritalStatus  

**Description**

```php
public setMaritalStatus (void)
```

 

 

**Parameters**

`This function has no parameters.`

**Return Values**

`void`

<hr />


### PID::setMothersIdentifier  

**Description**

```php
public setMothersIdentifier (void)
```

 

 

**Parameters**

`This function has no parameters.`

**Return Values**

`void`

<hr />


### PID::setMothersMaidenName  

**Description**

```php
public setMothersMaidenName (void)
```

 

 

**Parameters**

`This function has no parameters.`

**Return Values**

`void`

<hr />


### PID::setMultipleBirthIndicator  

**Description**

```php
public setMultipleBirthIndicator (void)
```

 

 

**Parameters**

`This function has no parameters.`

**Return Values**

`void`

<hr />


### PID::setNationality  

**Description**

```php
public setNationality (void)
```

 

 

**Parameters**

`This function has no parameters.`

**Return Values**

`void`

<hr />


### PID::setPatientAccountNumber  

**Description**

```php
public setPatientAccountNumber (void)
```

 

 

**Parameters**

`This function has no parameters.`

**Return Values**

`void`

<hr />


### PID::setPatientAddress  

**Description**

```php
public setPatientAddress (void)
```

 

 

**Parameters**

`This function has no parameters.`

**Return Values**

`void`

<hr />


### PID::setPatientAlias  

**Description**

```php
public setPatientAlias (void)
```

 

 

**Parameters**

`This function has no parameters.`

**Return Values**

`void`

<hr />


### PID::setPatientDeathDateAndTime  

**Description**

```php
public setPatientDeathDateAndTime (void)
```

 

 

**Parameters**

`This function has no parameters.`

**Return Values**

`void`

<hr />


### PID::setPatientDeathIndicator  

**Description**

```php
public setPatientDeathIndicator (void)
```

 

 

**Parameters**

`This function has no parameters.`

**Return Values**

`void`

<hr />


### PID::setPatientID  

**Description**

```php
public setPatientID (void)
```

 

 

**Parameters**

`This function has no parameters.`

**Return Values**

`void`

<hr />


### PID::setPatientIdentifierList  

**Description**

```php
public setPatientIdentifierList (string $value, int $position)
```

Patient ID (Internal ID) 

 

**Parameters**

* `(string) $value`
* `(int) $position`

**Return Values**

`bool`



<hr />


### PID::setPatientName  

**Description**

```php
public setPatientName (void)
```

 

 

**Parameters**

`This function has no parameters.`

**Return Values**

`void`

<hr />


### PID::setPhoneNumberBusiness  

**Description**

```php
public setPhoneNumberBusiness (void)
```

 

 

**Parameters**

`This function has no parameters.`

**Return Values**

`void`

<hr />


### PID::setPhoneNumberHome  

**Description**

```php
public setPhoneNumberHome (void)
```

 

 

**Parameters**

`This function has no parameters.`

**Return Values**

`void`

<hr />


### PID::setPrimaryLanguage  

**Description**

```php
public setPrimaryLanguage (void)
```

 

 

**Parameters**

`This function has no parameters.`

**Return Values**

`void`

<hr />


### PID::setRace  

**Description**

```php
public setRace (void)
```

 

 

**Parameters**

`This function has no parameters.`

**Return Values**

`void`

<hr />


### PID::setReligion  

**Description**

```php
public setReligion (void)
```

 

 

**Parameters**

`This function has no parameters.`

**Return Values**

`void`

<hr />


### PID::setSSNNumber  

**Description**

```php
public setSSNNumber (void)
```

 

 

**Parameters**

`This function has no parameters.`

**Return Values**

`void`

<hr />


### PID::setSex  

**Description**

```php
public setSex (void)
```

 

 

**Parameters**

`This function has no parameters.`

**Return Values**

`void`

<hr />


### PID::setVeteransMilitaryStatus  

**Description**

```php
public setVeteransMilitaryStatus (void)
```

 

 

**Parameters**

`This function has no parameters.`

**Return Values**

`void`

<hr />

